import java.awt.*;
import java.applet.*;
import java.io.*;
import java.net.*;

public class PlayApplet extends Applet
{
	AudioClip clip;

	public void init()
	{

		add(new Button("Start"));
		add(new Button("Stop"));
	}

	public boolean action(Event evt, Object arg)
	{
		if(arg.equals("Start"))
			startPlaying();
		else
			if(arg.equals("Stop"))
				stopPlaying();
			else
				return super.action(evt, arg);	

		return true;
	}

	private void startPlaying()
	{
		String param = getParameter("clip");
		try
		{
			URL location = new URL(param);

			clip = getAudioClip(location);

			System.out.println("Audio file got");
			clip.loop();

		} catch(Exception e)
		{
			showStatus("Error " + e);
		}
	}

	private void stopPlaying()
	{
		clip.stop();
	}
}
	
		
